<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
HasSysRight Method (IEdmUser5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUser5 Interface : HasSysRight Method (IEdmUser5)

Visual Basic
C#
C++/CLI

eRight
  Permissions as defined in EdmSysRightFlags

Obsolete. Superseded by IEdmUser7::HasSysRightEx .

# Syntax

Visual Basic |
--- | ---

    Function HasSysRight( _
       ByVal eRight As EdmSysRightFlags _
    ) As System.Boolean

C# |
--- | ---

    System.bool HasSysRight(
       EdmSysRightFlags eRight
    )

C++/CLI |
--- | ---

    System.bool HasSysRight(
    &   EdmSysRightFlags eRight
    )

#### Parameters

eRight
  Permissions as defined in EdmSysRightFlags

#### Return Value

True if the user has all of the permissions, false if the user lacks one or more of the permissions

# Remarks

This method is superseded by IEdmUser7::HasSysRightEx.

Before SOLIDWORKS PDM Professional 2010, IEdmUser5::HasSysRight supported the bit-wise combination of system permissions. Because the number of system permissions has grown, and they do not all fit in a 32-bit integer, system permissions added in SOLIDWORKS PDM Professional 2010 and later are sequential numeric constants instead of bit flags. You must use IEdmUser7::HasSysRightEx to check permissions added in SOLIDWORKS PDM Professional 2010 and later.

This method checks both the permissions set directly on the user and the permissions inherited from the groups of which the user is a member.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The method successfully executed, but the user lacks the specified permissions.

# See Also

####

IEdmUser5 Interface
IEdmUser5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2